#global rctag beta.3

Name:           nitrokey-app
Version:        1.2.1
Release:        1%{?rctag:.%{rctag}}%{?dist}
Summary:        Nitrokey's Application

License:        GPLv3+
URL:            https://github.com/Nitrokey/nitrokey-app
Source0:        %{url}/archive/v%{version}%{?rctag:-%{rctag}}/%{name}-%{version}%{?rctag:-%{rctag}}.tar.gz
# Non-upstreamable, required to unbundle libraries
Patch0:         0001-don-t-show-information-about-3rd-party-licenses.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake >= 3.1.0
BuildRequires:  make
BuildRequires:  libnitrokey-devel
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  cppcodec-devel
BuildRequires:  systemd
BuildRequires:  %{_bindir}/desktop-file-validate
Requires:       hicolor-icon-theme
Requires:       systemd-udev%{?_isa}

%description
%{summary}.

%prep
%autosetup -n %{name}-%{version}%{?rctag:-%{rctag}} -p1
# Remove 3rdparty libraries
rm -vrf 3rdparty
sed -i -e "/cppcodec/d" CMakeLists.txt
# Unbundle libnitrokey
rm -vrf libnitrokey
sed -i -e "/add_subdirectory.*\(libnitrokey\)/d" CMakeLists.txt
find src -type f -exec sed -i -e "s|libnitrokey/include/|libnitrokey/|" {} ';'
# XXX: https://github.com/Nitrokey/nitrokey-app/issues/275
sed -i -e "/REGEX REPLACE/d" CMakeLists.txt
# Remove Ubuntism
sed -i -e 's/GROUP+\?="plugdev", //' data/41-nitrokey.rules
! grep plugdev data/41-nitrokey.rules

%build
%cmake %{_vpath_srcdir} -B%{_vpath_builddir} -DADD_GIT_INFO=FALSE
%make_build -C %{_vpath_builddir}

%install
%make_install -C %{_vpath_builddir}

# We don't need ubuntu icons
rm -vrf %{buildroot}%{_datadir}/icons/ubuntu*

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/nitrokey/
%{_udevrulesdir}/*-nitrokey.rules
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}

%changelog
* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2-2
- Remove obsolete scriptlets

* Sun Dec 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2-1
- Update to 1.2

* Tue Oct 17 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2-0.2.beta.3
- Make sure to remove Ubuntism

* Tue Oct 17 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2-0.1.beta.3
- Update to 1.2-beta.3

* Tue Oct 17 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1-2
- Remove nitrokey-app.debug

* Sat Oct 07 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1-1
- Update to 1.1

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 24 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.6.3-1
- Update to 0.6.3 (RHBZ #1415861)

* Mon Jan 09 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.6.2-1
- Update to 0.6.2 (RHBZ #1409940)

* Fri Dec 02 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.6.1-1
- Update to 0.6.1 (RHBZ #1400736)

* Fri Nov 18 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.5.1-1
- Initial package
